Debian repo

Help for Audacity 2.x.x on GNU/Linux.

ImageThis forum is for Audacity 2.x.x on GNU/Linux and Unix-like operating systems.
Please state which version of Linux you are using, the exact three-section version number of Audacity from Help > About Audacity... and whether you installed your distribution's release or daily version of Audacity or compiled Audacity from source code.

Audacity 1.2.x and 1.3.x are obsolete and no longer supported. If you still have those versions, please upgrade at https://www.audacityteam.org/download/.
The old forums for those versions are now closed, but you can still read the archives of the 1.2.x and 1.3.x forums.

Debian repo

Permanent link to this post Posted by androclus » Fri Jun 02, 2017 12:15 am

Hi, Is Audacity 2.1.x series available for Debian? I switched from Ubuntu to Debian, but now I find the only thing in the main Debian repos is 2.0.x series. All the latest pre-compiled Audacities in the 2.1.x series seem to be for Ubuntu. I am not sure I want to add an Ubuntu repo to my Debian system.

What do Debian users do?

I tried compiling it myself, but man what a chore (not complaining, but it was enough that I thought I would try again at finding a repo first before going further)

I am on Debian Jessie (8.8.0, with all latest updates installed)

Is there a repo that some kind soul has made for Debian?

Or should I switch to Debian unstable or other repo to find audacity in the 2.1.x series?

Thank you. I'm probably just missing something obvious.
Jeff
androclus
 
Posts: 3
Joined: Thu Aug 18, 2016 11:48 pm
Operating System: Linux Debian

Re: Debian repo

Permanent link to this post Posted by steve » Fri Jun 02, 2017 1:19 am

The problem with using the "wrong" (newer or older) version of an application, rather than the distro version, is that it may be built against different shared library versions. That 'could' cause problems if a library that Audacity is built against is not fully compatible with the library installed on your system.

The safest way to install a more recent version of an application is to build it from the source code. This ensures that Audacity is built against the library versions that exist on your system. If a required library does not exist or is too old, then the build should fail (hopefully with a meaningful error). If it builds, then it should be OK.

If you don't want to build from source, then I'd recommend that you stick with the official distro version, though building from source is pretty easy once you have the initial build environment set up.
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 44991
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: Debian repo

Permanent link to this post Posted by androclus » Fri Jun 02, 2017 2:59 am

Thanks Steve -- I appreciate the quick/informative answer. And yes, I'm familiar with the problem of incompatible run-time library dependencies.. but somehow I don't think that necessarily obviates the possibility of having a (latest) version of Audacity available which runs against the latest libraries available in Debian (or any other distro)..

Q1. I guess by "Debian repos for audacity 2.1.x series" I meant 3rd-party repos. So, then, are there no such repos because most Audacity devs (or interested+capable parties) are using Ubuntu? Is it just perhaps a problem of the number of available contributors to the project (and/or what distro they use)?

Q2. I may be missing something else, as well: Since Debian is the basis for Ubuntu, I am wondering: Shouldn't any new package be compiled against the baseline distribution (i.e., in the upstream distro) so as to be able to make it available for *both* distros? Again, not complaining -- just trying to understand...

Q3. Also, on a slight tangent: Is it possible to compile Audacity statically, so that it does not depend upon any shared libraries at run-time?

Thanks
androclus
 
Posts: 3
Joined: Thu Aug 18, 2016 11:48 pm
Operating System: Linux Debian

Re: Debian repo

Permanent link to this post Posted by steve » Fri Jun 02, 2017 7:35 am

androclus wrote:I don't think that necessarily obviates the possibility of having a (latest) version of Audacity available which runs against the latest libraries available in Debian

Quite so. The most recent Audacity could be built against Debian Stable and packaged as a deb, which should then install and run fine on Debian Stable. I don't know where you would get such a package.

androclus wrote:Since Debian is the basis for Ubuntu, I am wondering: Shouldn't any new package be compiled against the baseline distribution (i.e., in the upstream distro) so as to be able to make it available for *both* distros?

You really need to ask Benjamin Drung about that as I believe he is the package maintainer for Audacity on both Debian and Ubuntu. However, my understanding is that Ubuntu takes its base packages from Debian, (mostly Testing and Sid), but may update packages as they feel fit. Debian on the other hand is much more conservative and will generally not update packages in Stable to new versions unless there are important security reasons for doing so.

androclus wrote:Is it possible to compile Audacity statically, so that it does not depend upon any shared libraries at run-time?

I was asking about that myself recently ;) Yes it is theoretically possible, but it would require a lot of work. To quote one of the Linux developers:

"As well as the libraries in lib-src, you would also have to figure out
how to build a self-contained wxGTK, as the normal of that build depends
in turn on system libraries like libpng. The same thing with
portaudio, which will dynamically link with alsa-lib by default. It's
all possible but quite a lot of work. What makes it more work is that
just copying all the shared libraries in the to same folder as Audacity
is unlikely to work (because the Linux dynamic linker is different to
the Windows one), many of them will need to be recompiled."

Another possibility, but one that I don't know much about, would be a "snap" package. See: https://snapcraft.io/
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 44991
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu


Return to GNU/Linux and Unix-like



Who is online

Users browsing this forum: No registered users and 4 guests